Select Moodle version:

Activities: Guided quiz

mod_guidedquiz
Quiz module modification to display questions sequentially, there is a number of attempts and an attempt penalization for each question instance. Users can only pass to the next question when they finds the correct answer, skip the question (max penalization applied) or reach the maximum number of attempts per question.
Maintained by: Picture of David Monllaó David Monllaó

Quiz module modification to display questions sequentially, there is a number of attempts and an attempt penalization for each question instance. Users can only pass to the next question when they finds the correct answer, skip the question (max penalization applied) or reach the maximum number of attempts per question.

REQUIREMENTS
* Compatible with Moodle 1.9.x releases
* Users with Javascript/AJAX support enabled

PROGRAMMED RESPONSES QUESTION TYPE LINKAGE
There is a linkage between this module and the programmed responses question type, this module can define "global" variables and they can be referenced from the function arguments of the programmed responses question instances of the quiz.  

The variables can be added to the quiz text following the next format: {$varname} the variables names only accepts alphanumeric characters, each variable has four attributes, maximum value, minimum value, increment and the number of values, to define both scalar and vectorial variables.

INSTALL
Follow the usual installation instructions

Contributors

Picture of David Monllaó
David Monllaó (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Gentle Mark
    Thu, Feb 16, 2012, 11:03 PM
    I am looking forward for this module for Moodle 2.2 current version. Will it be available?
  • Picture of David Monllaó
    Tue, Feb 28, 2012, 4:30 PM
    Hi Gentle, it will be upgraded with the http://moodle.org/plugins/view.php?plugin=qtype_programmedresp question type; the question engine changes a lot and the programmedresp upgrade will not be trivial so it may be delayed a bit. You can anyway try to install it on a 2.2, I haven't tried it and maybe it works
  • Tim at Lone Pine Koala Sanctuary
    Thu, Apr 12, 2012, 4:33 PM
    Moodle 1.9 code will not work on Moodle 2.2 without a lot of changes.
Please login to post comments